# matfile_close

Closes a Matlab binary MAT-file.

## Calling Sequence

    status = matfile_close(fd)

## Arguments

fd

  Real: file descriptor (returned by matfile_open).

status

  Boolean: %T if closure succeeds, %F otherwise.

## Description

Closes a Matlab binary MAT-file opened by matfile_open.

## Examples

    fd = matfile_open("test_matfile.mat","w");
    matfile_varwrite(fd, "foo", "bar", %t);
    if matfile_close(fd) == %t then
    disp("close worked!");
    else
    disp("close failed!");
    end

    fd = matfile_open("test_matfile.mat");
    matfile_listvar(fd)
    matfile_close(fd);

## See Also

- matfile_open
- matfile_varreadnext
- matfile_varwrite
- matfile_listvar

## Bibliography

This function uses MATIO library ( `http://sourceforge.net/projects/matio/` ).